parameters:

services:
  _defaults:
    public: true

  prestashop.module.polarisprestaconnector:
    class: PolarisPrestaConnector
    factory: [Module, getInstanceByName]
    arguments:
      - 'polarisprestaconnector'

  # Controllers
  polarisprestaconnector.twig_renderer:
    public: true
    autowire: true
    autoconfigure: true
    class: PrestaShop\Module\PolarisPrestaConnector\Controller\TwigRenderer
    arguments:
      - '@twig'

  # Controllers    
  PrestaShop\Module\PolarisPrestaConnector\Controller\CronAdminController:
    public: true
    autowire: true
    autoconfigure: true
    class: PrestaShop\Module\PolarisPrestaConnector\Controller\CronAdminController    

  PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAdminController:
    public: true
    autowire: true
    autoconfigure: true
    class: PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAdminController    

  PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAjaxAdminController:
    public: true
    autowire: true
    autoconfigure: true
    class: PrestaShop\Module\PolarisPrestaConnector\Controller\ConfigurationAjaxAdminController    

  PrestaShop\Module\PolarisPrestaConnector\Controller\MappageAdminController:
    public: true
    autowire: true
    autoconfigure: true
    class: PrestaShop\Module\PolarisPrestaConnector\Controller\MappageAdminController    
  
  PrestaShop\Module\PolarisPrestaConnector\Controller\ProductsMappingsAdminController:
    public: true
    autowire: true
    autoconfigure: true
    class: PrestaShop\Module\PolarisPrestaConnector\Controller\ProductsMappingsAdminController    

  PrestaShop\Module\PolarisPrestaConnector\Controller\VatReportAdminController:
    public: true
    autowire: true
    autoconfigure: true
    class: PrestaShop\Module\PolarisPrestaConnector\Controller\VatReportAdminController   

  PrestaShop\Module\PolarisPrestaConnector\Forms\InformationType:
    public: true
    autowire: true
    autoconfigure: true
    tags: ['form.type']